# dipy_fit_csd

## Synopsis

Constrained spherical deconvolution.

See [1] for further details about the method.

## Usage

    dipy_fit_csd [OPTIONS] input_files bvalues_files bvectors_files mask_files

## Input Parameters

- `input_files`

  Path to the input volumes. This path may contain wildcards to process multiple inputs at once.

- `bvalues_files`

  Path to the bvalues files. This path may contain wildcards to use multiple bvalues files at once.

- `bvectors_files`

  Path to the bvectors files. This path may contain wildcards to use multiple bvectors files at once.

- `mask_files`

  Path to the input masks. This path may contain wildcards to use multiple masks at once. (default: No mask used)

## General Options

- `--b0_threshold`

  Threshold used to find b0 volumes. (default: 50.0)

- `--bvecs_tol`

  Bvecs should be unit vectors. (default: 0.01)

- `--roi_center`

  Center of ROI in data. If center is None, it is assumed that it is the center of the volume with shape data.shape[:3]. (default: None)

- `--roi_radii`

  radii of cuboid ROI in voxels. (default: 10)

- `--fa_thr`

  FA threshold for calculating the response function. (default: 0.7)

- `--frf`

  Fiber response function can be for example inputted as 15 4 4 (from the command line) or [15, 4, 4] from a Python script to be converted to float and multiplied by 10**-4 . If None the fiber response function will be computed automatically. (default: None)

- `--sphere_name`

  Sphere name on which to reconstruct the fODFs. (default: None)

- `--relative_peak_threshold`

  Only return peaks greater than `relative_peak_threshold * m` where m is the largest peak. (default: 0.5)

- `--min_separation_angle`

  The minimum distance between directions. If two peaks are too close only the larger of the two is returned. (default: 25)

- `--sh_order_max`

  Spherical harmonics order (l) used in the CSA fit. (default: 8)

- `--parallel`

  Whether to use parallelization in peak-finding during the calibration procedure. (default: False)

- `--extract_pam_values`

  Save or not to save pam volumes as single nifti files. (default: False)

- `--num_processes`

  If parallel is True, the number of subprocesses to use (default multiprocessing.cpu_count()). If < 0 the maximal number of cores minus `num_processes + 1` is used (enter -1 to use as many cores as possible). 0 raises an error. (default: None)

## Output Options

- `--out_dir`

  Output directory. (default: current directory)

- `--out_pam`

  Name of the peaks volume to be saved. (default: peaks.pam5)

- `--out_shm`

  Name of the spherical harmonics volume to be saved. (default: shm.nii.gz)

- `--out_peaks_dir`

  Name of the peaks directions volume to be saved. (default: peaks_dirs.nii.gz)

- `--out_peaks_values`

  Name of the peaks values volume to be saved. (default: peaks_values.nii.gz)

- `--out_peaks_indices`

  Name of the peaks indices volume to be saved. (default: peaks_indices.nii.gz)

- `--out_gfa`

  Name of the generalized FA volume to be saved. (default: gfa.nii.gz)

- `--out_sphere`

  Sphere vertices name to be saved. (default: sphere.txt)

- `--out_b`

  Name of the B Matrix to be saved. (default: B.nii.gz)

- `--out_qa`

  Name of the Quantitative Anisotropy to be saved. (default: qa.nii.gz)

## References

[1]

Jacques-Donald Tournier, Fernando Calamante, and Alan Connelly. Robust determination of the fibre orientation distribution in diffusion MRI: Non-negativity constrained super-resolved spherical deconvolution. NeuroImage, 35(4):1459–1472, May 2007. URL: https://doi.org/10.1016/j.neuroimage.2012.06.005, doi:10.1016/j.neuroimage.2007.02.016.

Garyfallidis, E., M. Brett, B. Amirbekian, A. Rokem, S. Van Der Walt, M. Descoteaux, and I. Nimmo-Smith. Dipy, a library for the analysis of diffusion MRI data. Frontiers in Neuroinformatics, 1-18, 2014.